org.keycloak.representations.info

## Class ClientInstallationRepresentation

- java.lang.Object
- - org.keycloak.representations.info.ClientInstallationRepresentation

-     public class ClientInstallationRepresentation
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `displayType`
    `protected boolean` | `downloadOnly`
    `protected String` | `filename`
    `protected String` | `helpText`
    `protected String` | `id`
    `protected String` | `mediaType`
    `protected String` | `protocol`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientInstallationRepresentation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDisplayType()`
    `String` | `getFilename()`
    `String` | `getHelpText()`
    `String` | `getId()`
    `String` | `getMediaType()`
    `String` | `getProtocol()`
    `boolean` | `isDownloadOnly()`
    `void` | `setDisplayType(String displayType)`
    `void` | `setDownloadOnly(boolean downloadOnly)`
    `void` | `setFilename(String filename)`
    `void` | `setHelpText(String helpText)`
    `void` | `setId(String id)`
    `void` | `setMediaType(String mediaType)`
    `void` | `setProtocol(String protocol)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

    - #### protocol

          protected String protocol

    - #### downloadOnly

          protected boolean downloadOnly

    - #### displayType

          protected String displayType

    - #### helpText

          protected String helpText

    - #### filename

          protected String filename

    - #### mediaType

          protected String mediaType

  - ### Constructor Detail

    - #### ClientInstallationRepresentation

          public ClientInstallationRepresentation()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getProtocol

          public String getProtocol()

    - #### setProtocol

          public void setProtocol(String protocol)

    - #### isDownloadOnly

          public boolean isDownloadOnly()

    - #### setDownloadOnly

          public void setDownloadOnly(boolean downloadOnly)

    - #### getDisplayType

          public String getDisplayType()

    - #### setDisplayType

          public void setDisplayType(String displayType)

    - #### getHelpText

          public String getHelpText()

    - #### setHelpText

          public void setHelpText(String helpText)

    - #### getFilename

          public String getFilename()

    - #### setFilename

          public void setFilename(String filename)

    - #### getMediaType

          public String getMediaType()

    - #### setMediaType

          public void setMediaType(String mediaType)

Copyright © 2016 JBoss by Red Hat. All rights reserved.